## postgresql-filedump 9.1.0

=== Makefile ===
# View README.pg_filedump first

# note this must match macro in pg_filedump.h
FD_VERSION=9.1.0

CC=gcc
CFLAGS=-g -O -Wall -Wmissing-prototypes -Wmissing-declarations

# PGSQL MUST POINT TO pgsql SOURCE DIRECTORY
PGSQL=../../pgsql

CRC_SRC_DIR=${PGSQL}/src/backend/utils/hash

INCLUDE_DIR=${PGSQL}/src/include

DISTFILES= README.pg_filedump Makefile Makefile.contrib \
	pg_filedump.h pg_filedump.c


all: pg_filedump

pg_filedump: pg_filedump.o pg_crc.o 
	${CC} ${CFLAGS} -o pg_filedump pg_filedump.o pg_crc.o

pg_filedump.o: pg_filedump.c
	${CC} ${CFLAGS} -I${INCLUDE_DIR} pg_filedump.c -c

pg_crc.o: ${CRC_SRC_DIR}/pg_crc.c
	${CC} ${CFLAGS} -I${INCLUDE_DIR} ${CRC_SRC_DIR}/pg_crc.c -c 

dist:
	rm -rf pg_filedump-${FD_VERSION} pg_filedump-${FD_VERSION}.tar.gz
	mkdir pg_filedump-${FD_VERSION}
	cp -p ${DISTFILES} pg_filedump-${FD_VERSION}
	tar cfz pg_filedump-${FD_VERSION}.tar.gz pg_filedump-${FD_VERSION}
	rm -rf pg_filedump-${FD_VERSION}

clean:
	rm -f *.o pg_filedump

## postgresql-filedump 9.2.0

=== debian/changelog ===
postgresql-filedump (9.2.0-1.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-postgresql-filedump-source-
    distribution=sid-1, git revision
    0c38a40dbe745acaf533d895da96b775428b5b80)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 01 Apr 2014 23:42:31 +0200

postgresql-filedump (9.2.0-1) unstable; urgency=low

  [ Michael Meskes ]
  * Added VCS information
  * Fixed typo
  * Imported Upstream version 9.2.0
  * Current PostgreSQL vesion is 9.3, so we'll have to build against that one.
  * Bumped Standards-Version to 3.9.5, no changes needed.

  [ Christoph Berg ]
  * Pull patch from upstream to support PostgreSQL 9.3.
  * Mention compatible PostgreSQL versions in description.
  * Update watch file to find all releases.
  * Use format 3.0; bump to dh compat 9.
  * Set team as maintainer, add myself as uploader.

 -- Christoph Berg <myon@debian.org>  Tue, 01 Apr 2014 23:32:24 +0200

postgresql-filedump (9.1.0-1) unstable; urgency=low

  * Update watch file to correctly show latest version.
  * Imported Upstream version 9.1.0
  * Bumped Standars-Version to 3.9.3, no changes needed.
  * Install into 9.1 tree.

 -- Michael Meskes <meskes@debian.org>  Tue, 13 Mar 2012 15:28:16 +0100

postgresql-filedump (9.0.0-1) unstable; urgency=low

  * Imported Upstream version 9.0.0
  * Compile against PostgreSQL 9.1, closes: #639476
  * Removed PostgreSQL version number from package name.
  * Bumped Standars-Version to 3.9.2, no changes needed.
  * Updated Homepage: field.
  * Updated copyright file.
  * Added source/format and watch file.

 -- Michael Meskes <meskes@debian.org>  Mon, 29 Aug 2011 12:29:04 +0200

postgresql-filedump-8.4 (8.4.0-1) unstable; urgency=low

  * New upstream version for new PostgreSQL version, closes: #559590
  * Bumped Standards-Version to 3.8.3, no changes needed.
  * Upgraded to debhelper 7.

 -- Michael Meskes <meskes@debian.org>  Sat, 05 Dec 2009 19:06:45 +0100

postgresql-filedump-8.3 (8.3-1) unstable; urgency=low

  * New upstream version for new PostgreSQL version.

 -- Michael Meskes <meskes@debian.org>  Sat, 22 Mar 2008 21:16:24 +0100

postgresql-filedump-8.2 (8.2-4) unstable; urgency=low

  * Bumped standards version to 3.7.3.
  * Bumped debhelper compat version to 5.
  * Fixed remaining lintian warnings.

 -- Michael Meskes <meskes@debian.org>  Sat, 22 Dec 2007 18:25:16 +0100

postgresql-filedump-8.2 (8.2-3) unstable; urgency=low

  * Made package co-exist with 8.1 version, closes: #423148

 -- Michael Meskes <meskes@debian.org>  Thu, 10 May 2007 11:24:56 +0200

postgresql-filedump-8.2 (8.2-2) unstable; urgency=low

  * Fixed copyright file to list all authors 

 -- Michael Meskes <meskes@debian.org>  Mon,  7 May 2007 16:12:28 +0200

postgresql-filedump-8.2 (8.2-1) unstable; urgency=low

  * New upstream version, closes: #419302

 -- Michael Meskes <meskes@debian.org>  Sun, 15 Apr 2007 11:35:57 +0200

postgresql-filedump-8.1 (8.1-1) unstable; urgency=low

  * Initial release, closes: #342366

 -- Michael Meskes <meskes@debian.org>  Wed,  7 Dec 2005 15:08:28 +0100

=== debian/control ===
Source: postgresql-filedump
Section: misc
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-9.3
Standards-Version: 3.9.5
Homepage: http://pgfoundry.org/projects/pgfiledump
Vcs-Git: git://git.debian.org/git/pkg-postgresql/postgresql-filedump.git
Vcs-Browser: http://git.debian.org/?p=pkg-postgresql/postgresql-filedump.git

Package: postgresql-filedump
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility to format PostgreSQL files
 pg_filedump is a utility to format PostgreSQL heap/index/control files in
 human-readable form. You can format/dump the files in several ways.
 .
 This version of pg_filedump is compatible with PostgreSQL versions 9.3 and
 below.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build: 
	$(MAKE) PGSQL_INCLUDE_DIR=/usr/include/postgresql/9.3/server

## postgresql-filedump 9.3.0

=== Makefile ===
# View README.pg_filedump first

# note this must match version macros in pg_filedump.h
FD_VERSION=9.3.0

CC=gcc
CFLAGS=-g -O -Wall -Wmissing-prototypes -Wmissing-declarations

# If working with a PG source directory, point PGSQL_INCLUDE_DIR to its
# src/include subdirectory.  If working with an installed tree, point to
# the server include subdirectory, eg /usr/local/include/postgresql/server
PGSQL_INCLUDE_DIR=../../pgsql/src/include


DISTFILES= README.pg_filedump Makefile Makefile.contrib \
	pg_filedump.h pg_filedump.c

all: pg_filedump

pg_filedump: pg_filedump.o
	${CC} ${CFLAGS} -o pg_filedump pg_filedump.o

pg_filedump.o: pg_filedump.c
	${CC} ${CFLAGS} -I${PGSQL_INCLUDE_DIR} pg_filedump.c -c

dist:
	rm -rf pg_filedump-${FD_VERSION} pg_filedump-${FD_VERSION}.tar.gz
	mkdir pg_filedump-${FD_VERSION}
	cp -p ${DISTFILES} pg_filedump-${FD_VERSION}
	tar cfz pg_filedump-${FD_VERSION}.tar.gz pg_filedump-${FD_VERSION}
	rm -rf pg_filedump-${FD_VERSION}

clean:
	rm -f *.o pg_filedump

=== debian/changelog ===
postgresql-filedump (9.3.0-3) unstable; urgency=medium

  * Remove bogus quotes from CFLAGS in debian/rules to fix building for
    reproducible.debian.net.

 -- Christoph Berg <myon@debian.org>  Thu, 05 Feb 2015 22:58:31 +0100

postgresql-filedump (9.3.0-2) unstable; urgency=medium

  * Pull upstream patch to support page checksums.
  * Package is compatible with PostgreSQL 8.4..9.4.

 -- Christoph Berg <myon@debian.org>  Sun, 31 Aug 2014 12:07:38 +0200

postgresql-filedump (9.3.0-1) unstable; urgency=medium

  * Imported Upstream version 9.3.0
  * Canonicalized VCS information.
  * Added hardening options.

 -- Michael Meskes <meskes@debian.org>  Mon, 16 Jun 2014 14:00:41 +0200

=== debian/control ===
Source: postgresql-filedump
Section: misc
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-9.4
Standards-Version: 3.9.6
Homepage: http://pgfoundry.org/projects/pgfiledump
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-filedump.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-filedump.git

Package: postgresql-filedump
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility to format PostgreSQL files
 pg_filedump is a utility to format PostgreSQL heap/index/control files in
 human-readable form. You can format/dump the files in several ways.
 .
 This version of pg_filedump is compatible with PostgreSQL versions 9.4 and
 below.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" PGSQL_INCLUDE_DIR=/usr/include/postgresql/9.4/server

=== debian/watch ===
version=3
http://pgfoundry.org/frs/?group_id=1000541 /frs/download.php/.*/pg_filedump-(.*)\.tar\.gz

## postgresql-filedump 9.5.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # View README.pg_filedump first
 
 # note this must match version macros in pg_filedump.h
-FD_VERSION=9.3.0
+FD_VERSION=9.5.0
 
 CC=gcc
 CFLAGS=-g -O -Wall -Wmissing-prototypes -Wmissing-declarations
@@ -9,7 +9,8 @@
 # If working with a PG source directory, point PGSQL_INCLUDE_DIR to its
 # src/include subdirectory.  If working with an installed tree, point to
 # the server include subdirectory, eg /usr/local/include/postgresql/server
-PGSQL_INCLUDE_DIR=../../pgsql/src/include
+PG_CONFIG=pg_config
+PGSQL_INCLUDE_DIR=$(shell $(PG_CONFIG) --includedir-server)
 
 
 DISTFILES= README.pg_filedump Makefile Makefile.contrib \
@@ -18,7 +19,7 @@
 all: pg_filedump
 
 pg_filedump: pg_filedump.o
-	${CC} ${CFLAGS} -o pg_filedump pg_filedump.o
+	${CC} ${CFLAGS} -o pg_filedump pg_filedump.o -lpgport
 
 pg_filedump.o: pg_filedump.c
 	${CC} ${CFLAGS} -I${PGSQL_INCLUDE_DIR} pg_filedump.c -c

=== debian/changelog ===
postgresql-filedump (9.5.0-2) unstable; urgency=medium

  * Move pg_filedump to 9.5 directory, spotted by Sébastien Lardière.
  * Add simple adt test.

 -- Christoph Berg <myon@debian.org>  Sun, 15 May 2016 20:16:54 +0200

postgresql-filedump (9.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Sat, 19 Mar 2016 18:18:48 +0100

postgresql-filedump (9.3.0-4) unstable; urgency=medium

  * Add patch by Satoshi Nagayasu to support 9.5. Closes: #818668.
  * Make PG version a variable in debian/rules.

 -- Christoph Berg <myon@debian.org>  Sat, 19 Mar 2016 17:38:18 +0100

=== debian/control ===
Source: postgresql-filedump
Section: misc
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-9.5
Standards-Version: 3.9.7
Homepage: http://pgfoundry.org/projects/pgfiledump
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-filedump.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-filedump.git

Package: postgresql-filedump
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility to format PostgreSQL files
 pg_filedump is a utility to format PostgreSQL heap/index/control files in
 human-readable form. You can format/dump the files in several ways.
 .
 This version of pg_filedump is compatible with PostgreSQL versions 9.5 and
 below.

=== debian/rules ===
#!/usr/bin/make -f

PG_VERSION = 9.5

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" PGSQL_INCLUDE_DIR=/usr/include/postgresql/$(PG_VERSION)/server

override_dh_auto_install:
	$(MAKE) install USE_PGXS=1 DESTDIR=$(CURDIR)/debian/postgresql-filedump

## postgresql-filedump 9.6.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # View README.pg_filedump first
 
 # note this must match version macros in pg_filedump.h
-FD_VERSION=9.5.0
+FD_VERSION=9.6.0
 
 CC=gcc
 CFLAGS=-g -O -Wall -Wmissing-prototypes -Wmissing-declarations
@@ -11,6 +11,7 @@
 # the server include subdirectory, eg /usr/local/include/postgresql/server
 PG_CONFIG=pg_config
 PGSQL_INCLUDE_DIR=$(shell $(PG_CONFIG) --includedir-server)
+PGSQL_LIB_DIR=$(shell $(PG_CONFIG) --libdir)
 
 
 DISTFILES= README.pg_filedump Makefile Makefile.contrib \
@@ -19,7 +20,7 @@
 all: pg_filedump
 
 pg_filedump: pg_filedump.o
-	${CC} ${CFLAGS} -o pg_filedump pg_filedump.o -lpgport
+	${CC} ${LDFLAGS} -o pg_filedump pg_filedump.o -L${PGSQL_LIB_DIR} -lpgport
 
 pg_filedump.o: pg_filedump.c
 	${CC} ${CFLAGS} -I${PGSQL_INCLUDE_DIR} pg_filedump.c -c

=== debian/changelog ===
postgresql-filedump (9.6.0-2) unstable; urgency=medium

  * Disable PIE on 32bit archs; cf. #797530.

 -- Christoph Berg <myon@debian.org>  Sat, 18 Mar 2017 14:28:04 +0100

postgresql-filedump (9.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file for https://wiki.postgresql.org/wiki/Pg_filedump

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 29 Sep 2016 13:32:10 +0200

=== debian/control ===
Source: postgresql-filedump
Section: misc
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all
Standards-Version: 3.9.8
Homepage: http://pgfoundry.org/projects/pgfiledump
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-filedump.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-filedump.git

Package: postgresql-filedump
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility to format PostgreSQL files
 pg_filedump is a utility to format PostgreSQL heap/index/control files in
 human-readable form. You can format/dump the files in several ways.
 .
 This version of pg_filedump is compatible with PostgreSQL versions 9.6 and
 below.

=== debian/rules ===
#!/usr/bin/make -f

# disable PIE on 32bit because it's disabled in PostgreSQL's libpgport.a
# as well, cf. comments in postgresql-9.6's debian/rules and #797530
ifneq ($(shell dpkg-architecture -qDEB_HOST_ARCH_BITS || :),32)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
else
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
endif

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install USE_PGXS=1 DESTDIR=$(CURDIR)/debian/postgresql-filedump

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g,filenamemangle=s/.*REL([\d_]+).*/pg_filedump-$1.tar.gz/" \
https://wiki.postgresql.org/wiki/Pg_filedump .*REL([\d_]+).*

## postgresql-filedump 10.0

=== Makefile ===
# View README.pg_filedump first

# note this must match version macros in pg_filedump.h
FD_VERSION=10.0

# If working with a PG source directory, point PGSQL_INCLUDE_DIR to its
# src/include subdirectory.  If working with an installed tree, point to
# the server include subdirectory, eg /usr/local/include/postgresql/server
PG_CONFIG=pg_config
PGSQL_CFLAGS=$(shell $(PG_CONFIG) --cflags)
PGSQL_INCLUDE_DIR=$(shell $(PG_CONFIG) --includedir-server)
PGSQL_LDFLAGS=$(shell $(PG_CONFIG) --ldflags)
PGSQL_LIB_DIR=$(shell $(PG_CONFIG) --libdir)
PGSQL_BIN_DIR=$(shell $(PG_CONFIG) --bindir)

DISTFILES= README.pg_filedump Makefile Makefile.contrib \
	pg_filedump.h pg_filedump.c decode.h decode.c stringinfo.c pg_lzcompress.c

all: pg_filedump

pg_filedump: pg_filedump.o decode.o stringinfo.o pg_lzcompress.o
	${CC} ${PGSQL_LDFLAGS} ${LDFLAGS} -o pg_filedump pg_filedump.o decode.o stringinfo.o pg_lzcompress.o -L${PGSQL_LIB_DIR} -lpgport

pg_filedump.o: pg_filedump.c
	${CC} ${PGSQL_CFLAGS} ${CFLAGS} -I${PGSQL_INCLUDE_DIR} pg_filedump.c -c

decode.o: decode.c
	${CC} ${PGSQL_CFLAGS} ${CFLAGS} -I${PGSQL_INCLUDE_DIR} decode.c -c

stringinfo.o: stringinfo.c
	${CC} ${PGSQL_CFLAGS} ${CFLAGS} -I${PGSQL_INCLUDE_DIR} stringinfo.c -c

pg_lzcompress.o: pg_lzcompress.c
	${CC} ${PGSQL_CFLAGS} ${CFLAGS} -I${PGSQL_INCLUDE_DIR} pg_lzcompress.c -c

dist:
	rm -rf pg_filedump-${FD_VERSION} pg_filedump-${FD_VERSION}.tar.gz
	mkdir pg_filedump-${FD_VERSION}
	cp -p ${DISTFILES} pg_filedump-${FD_VERSION}
	tar cfz pg_filedump-${FD_VERSION}.tar.gz pg_filedump-${FD_VERSION}
	rm -rf pg_filedump-${FD_VERSION}

install: pg_filedump
	mkdir -p $(DESTDIR)$(PGSQL_BIN_DIR)
	install pg_filedump $(DESTDIR)$(PGSQL_BIN_DIR)

clean:
	rm -f *.o pg_filedump

=== debian/changelog ===
postgresql-filedump (10.0-1build1) bionic; urgency=medium

  * no change rebuild to pick up postgresql-server-dev-10 on ppc64el
    as well (LP: #1733525).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 21 Nov 2017 10:48:14 +0100

postgresql-filedump (10.0-1) unstable; urgency=medium

  * New upstream release supporting PG10. (Closes: #878564)
  * Update Standards-Version and package URLs.
  * Re-enable PIE on 32bit archs.

 -- Christoph Berg <myon@debian.org>  Sun, 22 Oct 2017 20:12:17 +0200

=== debian/control ===
Source: postgresql-filedump
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all
Standards-Version: 4.1.1
Homepage: https://wiki.postgresql.org/wiki/Pg_filedump
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/postgresql-filedump.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-filedump.git

Package: postgresql-filedump
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility to format PostgreSQL files
 pg_filedump is a utility to format PostgreSQL heap/index/control files in
 human-readable form. You can format/dump the files in several ways.
 .
 This version of pg_filedump is compatible with PostgreSQL versions 10 and
 below.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install USE_PGXS=1 DESTDIR=$(CURDIR)/debian/postgresql-filedump

=== debian/tests/control ===
Depends: @
Tests: help

## postgresql-filedump 10.1

=== Makefile ===
# View README.pg_filedump first

# note this must match version macros in pg_filedump.h
FD_VERSION=10.1

PROGRAM = pg_filedump
OBJS = pg_filedump.o decode.o stringinfo.o pg_lzcompress.o

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# avoid linking against all libs that the server links against (xml, selinux, ...)
LIBS = $(libpq_pgport)

DISTFILES= README.pg_filedump Makefile Makefile.contrib \
	pg_filedump.h pg_filedump.c decode.h decode.c stringinfo.c pg_lzcompress.c

dist:
	rm -rf pg_filedump-${FD_VERSION} pg_filedump-${FD_VERSION}.tar.gz
	mkdir pg_filedump-${FD_VERSION}
	cp -p ${DISTFILES} pg_filedump-${FD_VERSION}
	tar cfz pg_filedump-${FD_VERSION}.tar.gz pg_filedump-${FD_VERSION}
	rm -rf pg_filedump-${FD_VERSION}

=== debian/changelog ===
postgresql-filedump (10.1-1) unstable; urgency=medium

  * New upstream version.
  * Move packaging repository to salsa.debian.org
  * tests: Dump an actual table.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 20 Jun 2018 12:09:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all
 Standards-Version: 4.1.1
 Homepage: https://wiki.postgresql.org/wiki/Pg_filedump
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/postgresql-filedump.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-filedump.git
+Vcs-Git: https://salsa.debian.org/postgresql/postgresql-filedump.git
+Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-filedump
 
 Package: postgresql-filedump
 Architecture: any

=== debian/tests/control ===
Depends: @, postgresql
Tests: dump
Restrictions: allow-stderr

## postgresql-filedump 11.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # View README.pg_filedump first
 
 # note this must match version macros in pg_filedump.h
-FD_VERSION=10.1
+FD_VERSION=11.0
 
 PROGRAM = pg_filedump
 OBJS = pg_filedump.o decode.o stringinfo.o pg_lzcompress.o

=== debian/changelog ===
postgresql-filedump (11.0-1) unstable; urgency=medium

  * New upstream version.
  * Pass CFLAGS as COPT so pgxs.mk picks them up.
  * Maintain PGBINDIR in debian/postinst and prerm automatically.
  * Run tests against all supported PostgreSQL versions.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Sun, 02 Sep 2018 13:53:40 +0200

=== debian/control ===
Source: postgresql-filedump
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all
Standards-Version: 4.2.0
Homepage: https://wiki.postgresql.org/wiki/Pg_filedump
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-filedump.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-filedump

Package: postgresql-filedump
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dump PostgreSQL files in human-readable form
 pg_filedump is a utility to format PostgreSQL heap/index/control files in
 human-readable form.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	$(MAKE) COPT="$(CFLAGS)"

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/postgresql-filedump

override_dh_installdeb:
	sed -i -e "s!^PGBINDIR=.*!PGBINDIR=$(shell pg_config --bindir)!" debian/postinst debian/prerm
	dh_installdeb

=== debian/tests/control ===
Depends: @, postgresql-all
Tests: dump
Restrictions: allow-stderr

## postgresql-filedump 12.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
 # View README.pg_filedump first
 
 # note this must match version macros in pg_filedump.h
-FD_VERSION=11.0
+FD_VERSION=12.0
 
 PROGRAM = pg_filedump
-OBJS = pg_filedump.o decode.o stringinfo.o pg_lzcompress.o
+OBJS = pg_filedump.o decode.o stringinfo.o
+REGRESS = pg_filedump
 
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
@@ -14,7 +15,7 @@
 LIBS = $(libpq_pgport)
 
 DISTFILES= README.pg_filedump Makefile Makefile.contrib \
-	pg_filedump.h pg_filedump.c decode.h decode.c stringinfo.c pg_lzcompress.c
+	pg_filedump.h pg_filedump.c decode.h decode.c stringinfo.c
 
 dist:
 	rm -rf pg_filedump-${FD_VERSION} pg_filedump-${FD_VERSION}.tar.gz

=== debian/changelog ===
postgresql-filedump (12.0-2) unstable; urgency=medium

  * tests: Depend on postgresql-server-dev-all for pg_config.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Nov 2019 11:53:23 +0100

postgresql-filedump (12.0-1) unstable; urgency=medium

  * New upstream version.
  * Use (new) upstream testsuite instead of our own.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Thu, 28 Nov 2019 15:04:55 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>, Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Homepage: https://wiki.postgresql.org/wiki/Pg_filedump
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-filedump.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-filedump

=== debian/tests/control ===
Depends: @, postgresql, postgresql-server-dev-all
Tests: installcheck
Restrictions: allow-stderr

## postgresql-filedump 13.1

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,14 @@
 # View README.pg_filedump first
 
 # note this must match version macros in pg_filedump.h
-FD_VERSION=12.0
+FD_VERSION=13.1
 
 PROGRAM = pg_filedump
 OBJS = pg_filedump.o decode.o stringinfo.o
-REGRESS = pg_filedump
+REGRESS = testfile \
+		  pg_filedump \
+		  pg_filedump_-Dinttext
+EXTRA_CLEAN = testfile testfile.sh
 
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)

=== debian/changelog ===
postgresql-filedump (13.1-1) unstable; urgency=medium

  * New upstream version 13.1.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Nov 2020 16:53:15 +0100

postgresql-filedump (13.0-1) unstable; urgency=medium

  * New upstream version 13.0.
  * Run testsuite at build-time.
  * R³: no.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Tue, 27 Oct 2020 15:36:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>, Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 9), postgresql-server-dev-all
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13), postgresql, postgresql-server-dev-all
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://wiki.postgresql.org/wiki/Pg_filedump
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-filedump.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-filedump

=== debian/tests/control ===
Depends: @, postgresql, make
Tests: installcheck
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g,filenamemangle=s/.*REL_?([\d_]+).*/pg_filedump-$1.tar.gz/" \
https://wiki.postgresql.org/wiki/Pg_filedump .*REL_?([\d_]+).*

## postgresql-filedump 14.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # View README.pg_filedump first
 
 # note this must match version macros in pg_filedump.h
-FD_VERSION=13.1
+FD_VERSION=14.0
 
 PROGRAM = pg_filedump
 OBJS = pg_filedump.o decode.o stringinfo.o
@@ -15,7 +15,11 @@
 include $(PGXS)
 
 # avoid linking against all libs that the server links against (xml, selinux, ...)
-LIBS = $(libpq_pgport)
+ifneq ($(findstring -llz4,$(LIBS)),)
+       LIBS = $(libpq_pgport) -llz4
+else
+       LIBS = $(libpq_pgport)
+endif
 
 DISTFILES= README.pg_filedump Makefile Makefile.contrib \
 	pg_filedump.h pg_filedump.c decode.h decode.c stringinfo.c

=== debian/changelog ===
postgresql-filedump (14.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Christoph Berg <myon@debian.org>  Tue, 02 Nov 2021 11:13:52 +0100

postgresql-filedump (14.0-1) unstable; urgency=medium

  * New upstream version 14.0. (Closes: #997279)
  * B-D on liblz4-dev.
  * Point watch file at github; git.postgresql.org doesn't allow snapshot
    tarballs anymore.

 -- Christoph Berg <myon@debian.org>  Wed, 29 Sep 2021 18:20:26 +0200

=== debian/control ===
Source: postgresql-filedump
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Michael Meskes <meskes@debian.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 liblz4-dev,
 postgresql,
 postgresql-server-dev-all,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://wiki.postgresql.org/wiki/Pg_filedump
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-filedump.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-filedump

Package: postgresql-filedump
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Dump PostgreSQL files in human-readable form
 pg_filedump is a utility to format PostgreSQL heap/index/control files in
 human-readable form.

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g" \
https://github.com/df7cb/pg_filedump/releases .*/REL_(.*).tar.gz

## postgresql-filedump 14.1~20220624.1440-2~1.git4892bd0.pgdg22.04+1

=== debian/changelog ===
postgresql-filedump (14.1~20220624.1440-2~1.git4892bd0.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 31 Mar 2022 16:17:32 +0200

postgresql-filedump (14.1-2) UNRELEASED; urgency=medium

  * Use debian/tests/installcheck for build-time testing so we see
    regression.diffs on failure.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Mar 2022 16:17:32 +0200

postgresql-filedump (14.1-1) unstable; urgency=medium

  * New upstream version 14.1.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Mar 2022 15:11:47 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 override_dh_auto_build:
 	$(MAKE) COPT="$(CFLAGS)"
 
+override_dh_auto_test:
+	PATH=$(CURDIR):$(PATH) debian/tests/installcheck
+
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/postgresql-filedump

## postgresql-filedump 14.1~20220624.1440-2~1.git4892bd0.pgdg90+1

=== debian/changelog ===
postgresql-filedump (14.1~20220624.1440-2~1.git4892bd0.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 31 Mar 2022 16:17:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michael Meskes <meskes@debian.org>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 10),
  liblz4-dev,
  postgresql,
  postgresql-server-dev-all,

## postgresql-filedump 14.1~20220624.1440-2~1.git4892bd0.pgdg100+1

=== debian/changelog ===
postgresql-filedump (14.1~20220624.1440-2~1.git4892bd0.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 31 Mar 2022 16:17:32 +0200

## postgresql-filedump 14.1~20220624.1440-2~1.git4892bd0.pgdg110+1

=== debian/changelog ===
postgresql-filedump (14.1~20220624.1440-2~1.git4892bd0.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 31 Mar 2022 16:17:32 +0200

## postgresql-filedump 14.1~20220624.1440-2~1.git4892bd0.pgdg120+1

=== debian/changelog ===
postgresql-filedump (14.1~20220624.1440-2~1.git4892bd0.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 31 Mar 2022 16:17:32 +0200

## postgresql-filedump 14.1

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,12 @@
 # View README.pg_filedump first
 
 # note this must match version macros in pg_filedump.h
-FD_VERSION=14.0
+FD_VERSION=14.1
 
 PROGRAM = pg_filedump
 OBJS = pg_filedump.o decode.o stringinfo.o
-REGRESS = testfile \
-		  pg_filedump \
-		  pg_filedump_-Dinttext
-EXTRA_CLEAN = testfile testfile.sh
+REGRESS = datatypes
+EXTRA_CLEAN = *.heap
 
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	$(MAKE) COPT="$(CFLAGS)"
 
 override_dh_auto_test:
-	PATH=$(CURDIR):$(PATH) debian/tests/installcheck
+	PATH=$(CURDIR):$(PATH) pg_virtualenv make installcheck
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/postgresql-filedump

=== debian/tests/control ===
Depends:
 make,
 postgresql,
 @,
Tests: installcheck
Restrictions: allow-stderr

## postgresql-filedump 16.0

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# View README.pg_filedump first
+# View README.pg_filedump.md first
 
 # note this must match version macros in pg_filedump.h
-FD_VERSION=14.1
+FD_VERSION=16.0
 
 PROGRAM = pg_filedump
 OBJS = pg_filedump.o decode.o stringinfo.o
-REGRESS = datatypes
+REGRESS = datatypes float numeric xml
 EXTRA_CLEAN = *.heap
 
 PG_CONFIG = pg_config
@@ -19,7 +19,7 @@
        LIBS = $(libpq_pgport)
 endif
 
-DISTFILES= README.pg_filedump Makefile Makefile.contrib \
+DISTFILES= README.pg_filedump.md Makefile \
 	pg_filedump.h pg_filedump.c decode.h decode.c stringinfo.c
 
 dist:

=== debian/changelog ===
postgresql-filedump (16.0-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 14 Sep 2023 15:39:53 +0200

postgresql-filedump (16.0-1) unstable; urgency=medium

  * New upstream version with PG 16 support.
  * Install pg_filedump to /usr/bin; drop update-alternatives handling.
  * Use debian/tests/installcheck for build-time testing so we see
    regression.diffs on failure.

 -- Christoph Berg <myon@debian.org>  Thu, 14 Sep 2023 15:39:53 +0200

## postgresql-filedump 17.1

=== Makefile ===
PROGRAM = pg_filedump
OBJS = pg_filedump.o decode.o stringinfo.o
REGRESS = datatypes float numeric xml toast
TAP_TESTS = 1
EXTRA_CLEAN = *.heap $(wildcard [1-9]???[0-9]) # testsuite leftovers

PG_CONFIG ?= pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# make regression tests find pg_filedump (srcdir for build-time testing, bindir for later installcheck)
PATH += :$(srcdir):$(shell $(PG_CONFIG) --bindir)

# avoid linking against all libs that the server links against (xml, selinux, ...)
ifneq ($(findstring -llz4,$(LIBS)),)
       LIBS = -L$(pkglibdir) -lpgcommon -lpgport -llz4
else
       LIBS = -L$(pkglibdir) -lpgcommon -lpgport
endif

=== debian/changelog ===
postgresql-filedump (17.1-1ubuntu2) plucky; urgency=medium

  * Temporarily disable hard fails on tests to fix FTBFS.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Mar 2025 19:16:24 -0600

postgresql-filedump (17.1-1) unstable; urgency=medium

  * New upstream version 17.0.
  * New upstream version 17.1.
  * Provides: pg-filedump.
  * B-D on libipc-run-perl.
  * Explicitly link against libpgcommon and libpgport. (Closes: #1082996)
  * Ignore toast test failure on big-endian for now.

 -- Christoph Berg <myon@debian.org>  Thu, 07 Nov 2024 15:28:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: postgresql-filedump
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Michael Meskes <meskes@debian.org>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
+ libipc-run-perl <!nocheck>,
  liblz4-dev,
  postgresql,
  postgresql-server-dev-all,
@@ -21,6 +23,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Provides: pg-filedump
 Description: Dump PostgreSQL files in human-readable form
  pg_filedump is a utility to format PostgreSQL heap/index/control files in
  human-readable form.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	$(MAKE) COPT="$(CFLAGS)"

override_dh_auto_test:
	PATH=$(CURDIR):$(PATH) debian/tests/installcheck || true

override_dh_auto_install:

## postgresql-filedump 17.4

=== debian/changelog ===
postgresql-filedump (17.4-1) unstable; urgency=medium

  * New upstream version 17.4.

 -- Christoph Berg <myon@debian.org>  Thu, 17 Apr 2025 18:35:58 +0200

postgresql-filedump (17.3-1) unstable; urgency=medium

  * New upstream version 17.3.
  * Endianness problems fixed.

 -- Christoph Berg <myon@debian.org>  Wed, 16 Apr 2025 18:32:08 +0200

postgresql-filedump (17.2-1) unstable; urgency=medium

  * New upstream version 17.2.

 -- Christoph Berg <myon@debian.org>  Tue, 15 Apr 2025 17:39:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: postgresql-filedump
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Michael Meskes <meskes@debian.org>,
  Christoph Berg <myon@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,6 @@
 	$(MAKE) COPT="$(CFLAGS)"
 
 override_dh_auto_test:
-	PATH=$(CURDIR):$(PATH) debian/tests/installcheck || true
+	PATH=$(CURDIR):$(PATH) debian/tests/installcheck
 
 override_dh_auto_install:
